Name:           stillcenter
Version:        0.2
Release:        1%{?dist}
Summary:        Used for customing stillOS. Replaces GNOME Tweaks, Extension Manager, and more.

License:        GPL v3
URL:            https://gitlab.com/stillhq/stillOS/stillCenter
Source0:        %{url}/-/archive/main/stillcenter-main.zip
BuildArch:      noarch

Requires:  python3
Requires:   sam
Requires:   sadb
BuildRequires:  tree
BuildRequires:  glib2-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Curated app store for stillOS

- stillCenter is stillOS software center with curated apps in order to only show apps that well on stillOS.
- Each app has a rating which allows shows how well it integrates into the system based on a criteria set.
- It uses a database called saDB which creates a SQlite database locally with the apps that the center can search very fast compared to AppStream (the standard app database for Linux).
- To make package installation more stable, allow us to fix flatpak permission issues, and to eventually support DistroBox apps and web apps, we use a custom-made alternative to PackageKit called SAM.
- SAM and SaDB combined make stillCenter a lot more reliable than other distro software centers.

%prep
%autosetup -n stillcenter-main

%build
%install
# Remove git ignore
rm .gitignore

mkdir -p %{buildroot}%{python3_sitelib}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 0644 data/io.stillhq.stillCenter.desktop %{buildroot}%{_datadir}/applications/io.stillhq.stillCenter.desktop
install -m 0755 __main__.py %{buildroot}%{_bindir}/stillcenter
cp -a . %{buildroot}%{python3_sitelib}/stillCenter
glib-compile-resources --sourcedir data --generate %{buildroot}%{python3_sitelib}/stillCenter/data/io.stillhq.stillCenter.gresource.xml
install -m 0644 data/io.stillhq.stillCenter.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/stillCenter.svg

%files
%{_datadir}/icons/hicolor/scalable/apps/stillCenter.svg
%{_datadir}/applications/io.stillhq.stillCenter.desktop
%{_bindir}/stillcenter
%dir %{python3_sitelib}/stillCenter
%{python3_sitelib}/stillCenter/*

%changelog
*  Wed May 7 2025 Cameron Knauff <cameron@stillhq.io> - 0.1
- First build, big!
